<?php

function prepareHandle($Handle){

    $Handle = preg_replace("/[^0-9a-z-]/i", "", $Handle);

    return $Handle;

}

function parseDomain($Domain,$Type){

    $domain = explode(".",$Domain);
    $sld = "";
    $tld = "";
    $tld1 = "";
    $tld2 = "";
    $sld = $domain[0];
    $tld1 = $domain[1];
    if($domain[2] != ""){
        $tld2 = $domain[2];
        $tld2 = ".$tld2";
    }
    $tld = "$tld1$tld2";

    if($Type==1){
        return $sld;
    } elseif($Type==2){
        return $tld;
    }

}

function APICall($PostFields){

    $ch = curl_init('https://api.xynta.com');
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $PostFields);

    $curlResponse = curl_exec($ch);
    curl_close($ch);

    $curlResponse = json_decode($curlResponse,true);

    return $curlResponse;

}

function getWHOISVariables($whois,$type){

    $cDetails = array();

    if($type == HANDLE_OWNER) {

        $cDetails = array(
            "Handle" => $whois->ownerHandle,
            "CompanyName" => $whois->ownerCompanyName,
            "CompanyNumber" => $whois->ownerCompanyNumber,
            "TaxNumber" => $whois->ownerTaxNumber,
            "Initials" => $whois->ownerInitials,
            "SurName" => $whois->ownerSurName,
            "Address" => $whois->ownerAddress,
            "ZipCode" => $whois->ownerZipCode,
            "City" => $whois->ownerCity,
            "Country" => $whois->ownerCountry,
            "EmailAddress" => $whois->ownerEmailAddress,
            "PhoneNumber" => $whois->ownerPhoneNumber
        );

    } elseif($type == HANDLE_ADMIN) {

        $cDetails = array(
            "Handle" => $whois->adminHandle,
            "CompanyName" => $whois->adminCompanyName,
            "CompanyNumber" => $whois->adminCompanyNumber,
            "TaxNumber" => $whois->adminTaxNumber,
            "Initials" => $whois->adminInitials,
            "SurName" => $whois->adminSurName,
            "Address" => $whois->adminAddress,
            "ZipCode" => $whois->adminZipCode,
            "City" => $whois->adminCity,
            "Country" => $whois->adminCountry,
            "EmailAddress" => $whois->adminEmailAddress,
            "PhoneNumber" => $whois->adminPhoneNumber
        );

    } elseif($type == HANDLE_TECH) {

        $cDetails = array(
            "Handle" => $whois->techHandle,
            "CompanyName" => $whois->techCompanyName,
            "CompanyNumber" => $whois->techCompanyNumber,
            "TaxNumber" => $whois->techTaxNumber,
            "Initials" => $whois->techInitials,
            "SurName" => $whois->techSurName,
            "Address" => $whois->techAddress,
            "ZipCode" => $whois->techZipCode,
            "City" => $whois->techCity,
            "Country" => $whois->techCountry,
            "EmailAddress" => $whois->techEmailAddress,
            "PhoneNumber" => $whois->techPhoneNumber
        );

    }

    return $cDetails;

}

?>